Subject: Re: Recovering from epic fail (deleted .git/objects/pack)

From: Johannes Sixt <[email-masked]>
Date: Wed, 10 Dec 2008 12:39:06 +0100

R. Tyler Ballance schrieb:
> On Tue, 2008-12-09 at 16:19 -0800, Junio C Hamano wrote:
>> See if "fsck --full" complains after that.  If the repository was not
>> repacked during that period, all objects created by the activity by the
>> unfortunate developer would be loose, so ...
> 
> tyler@ccnet:~/source/slide/brian_main> time git fsck --full
> Segmentation fault

Please make a backup (tarball) of the repository that shows this segfault.
'git fsck' is not supposed to segfault, no matter what garbage is thrown
at it.

Can you make a backtrace of this failing 'git fsck --full' invocation?

-- Hannes